# Projektsitzung erstellen

`POST https://{tenant}.stamp.eu/rest/employees/{employee}/project_sessions`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `project_id` | string \| null | nein |
| `activity_id` | string \| null | nein |
| `full_day` | boolean | nein |
| `date` | string \| null | nein |
| `start_time` | string \| null | nein |
| `end_time` | string \| null | nein |
| `note` | string \| null | nein |

## Antworten

### 201: `ProjectSessionResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.project` | object | nein |
| `data.project.id` | string | ja |
| `data.project.code` | string | ja |
| `data.project.name` | string | ja |
| `data.project.description` | string | ja |
| `data.project.cost_center` | object | nein |
| `data.project.active` | string | ja |
| `data.project.activity_requirement` | string | ja |
| `data.project.created_at` | string | ja |
| `data.project.updated_at` | string | ja |
| `data.activity` | object | nein |
| `data.activity.id` | string | ja |
| `data.activity.name` | string | ja |
| `data.activity.code` | string | ja |
| `data.activity.description` | string | ja |
| `data.activity.color` | string | ja |
| `data.activity.booking_mode` | string | ja |
| `data.activity.requires_project` | string | ja |
| `data.activity.active` | string | ja |
| `data.activity.sort_order` | string | ja |
| `data.activity.unit_ids` | object | ja |
| `data.activity.created_at` | string | ja |
| `data.activity.updated_at` | string | ja |
| `data.start_time` | string \| null | ja |
| `data.end_time` | string \| null | ja |
| `data.duration` | string \| null | ja |
| `data.full_day` | boolean | ja |
| `data.note` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
